<!DOCTYPE html>
<html lang="en">


        <head>
                <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
                <meta name="viewport" content="width=device-width, initial-scale=1.0">
                <title>Shift Setup</title>
                <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.3.1/css/bootstrap.min.css">
                <link rel='stylesheet' href='https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.7.2/css/all.min.css'>
                <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/jquery-modal/0.9.1/jquery.modal.min.css" />
                <link rel="stylesheet" href="../../../../dist/css/main.css" type="text/css" />
                <link rel="stylesheet" href="https://code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
                <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet" />
            </head>

<body>
    <div class="sidenav leftSidebar expandedNav" id="adminBavbar"></div>
    <div id="mainContent">
        <nav class="navbar-header">
            <!-- for topnavigation bar topbar.js -->
        </nav>
        <div class="headerTop">
            <div class="tabsContainer">
                <h2 class="mainHeading">Shift Setup</h2>
            </div>
        </div>

        <div class="main rightContentArea">
            <div class="tab">
                <!-- / tabs -->
                <div class="tab_content adminTabContent withoutTabing">
                    <div class="tabs_item innerContent">
                        <div class="row ml-0 mr-0">
                            <div class="tableShorting">
                                <div class="sectionHeadingContainer">
                                    <div class="sectionHeading">
                                        <a href="#">
                                            <div data-toggle="tooltip" title="Back" data-placement="top"
                                                class="backButton d-flex align-items-center">
                                                <svg style="width:20px;height:20px;" viewBox="0 0 24 24">
                                                    <path fill="#000000"
                                                        d="M20,11V13H8L13.5,18.5L12.08,19.92L4.16,12L12.08,4.08L13.5,5.5L8,11H20Z">
                                                    </path>
                                                </svg>
                                            </div>
                                        </a><span class="pipe"></span>
                                        <h3>Add Shift</h3>
                                    </div>
                                </div>
                                <div id="addbranch" class="content">
                                    <div class="row no-padding">

                                        <div class="fields mr-4 mb-4">
                                            <label for="name" class="labelGroup">Name <span
                                                    class="mandatorySign">*</span></label>
                                            <input class="mandatory" type="text" id="name" name="name"
                                                placeholder="Enter Shift Name" />
                                        </div>

                                        <div class="fields mr-4 mb-4">
                                            <label for="weekendFrom" class="labelGroup">Weekend From <span
                                                    class="mandatorySign">*</span></label>
                                            <select class="mandatory" id="weekendFrom" name="weekendFrom">
                                                <option value="" selected="selected" hidden="hidden">Select the
                                                    day</option>
                                                <option value="sunday">Sunday</option>
                                                <option value="monday">Monday</option>
                                                <option value="tuesday">Tuesday</option>
                                                <option value="wednesday">Wednesday</option>
                                                <option value="thursday">Thursday</option>
                                                <option value="friday">Friday</option>
                                                <option value="saturday">Saturday</option>
                                            </select>
                                        </div>
                                        <div class="fields mr-4 mb-4">
                                            <label for="trainingLocation" class="labelGroup">Weekend To <span
                                                    class="mandatorySign">*</span></label>
                                            <select class="mandatory" id="trainingLocation" name="trainingLocation">
                                                <option value="" selected="selected" hidden="hidden">Select the
                                                    Day</option>
                                                <option value="sunday">Sunday</option>
                                                <option value="monday">Monday</option>
                                                <option value="tuesday">Tuesday</option>
                                                <option value="wednesday">Wednesday</option>
                                                <option value="thursday">Thursday</option>
                                                <option value="friday">Friday</option>
                                                <option value="saturday">Saturday</option>
                                            </select>
                                        </div>


                       

                                        <div class="fields mr-4 mb-4 inputBoxIcon">
                                            <label for="fromTime" class="labelGroup">In Time <span
                                                    class="mandatorySign">*</span></label>
                                            <input class="mandatory" type="text" id="inTime" name="inTime"
                                                placeholder="Enter the In Time" />
                                            <span class="inputIcon mr-3">
                                                <i class="far fa-calendar-alt cal1"></i>
                                            </span>
                                        </div>
                                        <div class="fields mr-4 mb-4 inputBoxIcon">
                                            <label for="fromTime" class="labelGroup">Out Time <span
                                                    class="mandatorySign">*</span></label>
                                            <input class="mandatory" type="text" id="outTime" name="outTime"
                                                placeholder="HH:MM" />
                                            <span class="inputIcon mr-3">
                                                <i class="far fa-calendar-alt cal1"></i>
                                            </span>
                                        </div>

                                        <div class="fields mr-4 mb-4 inputBoxIcon">
                                            <label for="fromTime" class="labelGroup">Grace Till <span
                                                    class="mandatorySign">*</span></label>
                                            <input class="mandatory" type="text" id="GraceDate" name="GraceDate"
                                                placeholder="HH:MM" />
                                            <span class="inputIcon mr-3">
                                                <i class="far fa-calendar-alt cal1"></i>
                                            </span>
                                        </div>
                                 

                                        <div class="fields mr-4 mb-4 inputBoxIcon">
                                            <label for="fromTime" class="labelGroup">Break From <span
                                                    class="mandatorySign">*</span></label>
                                            <input class="mandatory" type="text" id="BreakTime" name="Breakime"
                                                placeholder="HH:MM" />
                                            <span class="inputIcon mr-3">
                                                <i class="far fa-calendar-alt brkcal"></i>
                                            </span>
                                        </div>
                                        <div class="fields mr-4 mb-4 inputBoxIcon">
                                            <label for="fromTo" class="labelGroup">Break To <span
                                                    class="mandatorySign">*</span></label>
                                            <input class="mandatory" type="text" id="BreakTo" name="BreakTo"
                                                placeholder="HH:MM" />
                                            <span class="inputIcon mr-3">
                                                <i class="far fa-calendar-alt tocal"></i>
                                            </span>
                                        </div>


                                        <div class="fields mr-4 mb-4 inputBoxIcon">
                                            <label for="maxNot" class="labelGroup">Max Not <span
                                                    class="mandatorySign">*</span></label>
                                            <input class="mandatory" type="text" id="maxNot" name="maxNot"
                                                placeholder="HH:MM" />
                                            <span class="inputIcon mr-3">
                                                <i class="far fa-calendar-alt cal1"></i>
                                            </span>
                                        </div>
                                        <div class="fields mr-4 mb-4 inputBoxIcon">
                                            <label for="maxHot" class="labelGroup">Max Hot <span
                                                    class="mandatorySign">*</span> </label>
                                            <input class="mandatory" type="text" id="maxHot" name="maxHot"
                                                placeholder="HH:MM" />
                                            <span class="inputIcon mr-3">
                                                <i class="far fa-calendar-alt cal1"></i>
                                            </span>
                                        </div>

                                        <div class="fields mr-4 mb-4">
                                            <label for="timings" class="labelGroup">Timings <span
                                                    class="mandatorySign">*</span></label>
                                            <select class="mandatory" id="timings" name="timings">
                                                <option value="" selected="selected" hidden="hidden">Select the
                                                    Timings</option>
                                                <option value="actual">Actual</option>
                                                <option value="diff">Diff</option>
                                            </select>
                                        </div>
                                        <div class="fields mr-4 mb-4">
                                            <label for="Type" class="labelGroup">Type <span
                                                    class="mandatorySign">*</span></label>
                                            <select class="mandatory" id="type" name="type">
                                                <option value="" selected="selected" hidden="hidden">Select the
                                                    Type</option>
                                                <option value="oneTime">One Time</option>
                                                <option value="recuring">Recuring</option>
                                            </select>
                                        </div>

                                    <div class="row no-padding">
                                        <a href="#weeklyOffSettingPopups" rel="modal:open"><button
                                            class="oct-btn btn-default mt-3 roundedBtn mb-4">Additional Weekly
                                            off</button></a>
                                        <a href="#additionalBranchTimingsPopups" rel="modal:open"><button
                                            class="oct-btn btn-default mt-3 roundedBtn mb-4 ml-4">Additional Timing
                                            Details</button></a>

                                    </div>
                                    </div>

                                    <div class="mt-2">
                                        <button class="oct-btn oct-btn-primary"
                                            onclick="formValidations('addbranch');">Submit</button>


                                    </div>

                                </div>



                            </div>

                        </div>

                    </div>
                    <!-- / tabs_item -->


                    <!-- / tab_content -->
                </div>
                <!-- / tab -->
            </div>
        </div>

  
        <div id="weeklyOffSettingPopups" class="modal addFilterTablePopup" style="max-width: 800px !important;">
           <h4>Weekly Off Setting</h4>
                    <div class="table-responsive table-striped table-hover">
                        <table class="innerTable">
                            <tr>
                                <th class="trHead">Day
                                </th>
                                <th class="trHead thSeven">Week 1
                                </th>
                                <th class="trHead thSeven">Week 2
                                </th>
                                <th class="trHead thSeven">Week 3
                                </th>
                                <th class="trHead thSeven">Week 4
                                </th>
                                <th class="trHead thSeven">Week 5
                                </th>


                            </tr>

                            <tr>
                                <td>Sunday</td>
                                <td class="thSeven"><input onclick="onCheck()" type="checkbox" class="case" name="case"
                                        value="1"></td>
                                <td class="thSeven"><input onclick="onCheck()" type="checkbox" class="case" name="case"
                                        value="2"></td>
                                <td class="thSeven"><input onclick="onCheck()" type="checkbox" class="case" name="case"
                                        value="3"></td>
                                <td class="thSeven"><input onclick="onCheck()" type="checkbox" class="case" name="case"
                                        value="4"></td>
                                <td class="thSeven"><input onclick="onCheck()" type="checkbox" class="case" name="case"
                                        value="5"></td>

                            </tr>
                            <tr>
                                <td>Monday</td>
                                <td class="thSeven"><input onclick="onCheck()" type="checkbox" class="case" name="case"
                                        value="1"></td>
                                <td class="thSeven"><input onclick="onCheck()" type="checkbox" class="case" name="case"
                                        value="2"></td>
                                <td class="thSeven"><input onclick="onCheck()" type="checkbox" class="case" name="case"
                                        value="3"></td>
                                <td class="thSeven"><input onclick="onCheck()" type="checkbox" class="case" name="case"
                                        value="4"></td>
                                <td class="thSeven"><input onclick="onCheck()" type="checkbox" class="case" name="case"
                                        value="5"></td>

                            </tr>

                            <tr>
                                <td>Tuesday</td>
                                <td class="thSeven"><input onclick="onCheck()" type="checkbox" class="case" name="case"
                                        value="1"></td>
                                <td class="thSeven"><input onclick="onCheck()" type="checkbox" class="case" name="case"
                                        value="2"></td>
                                <td class="thSeven"><input onclick="onCheck()" type="checkbox" class="case" name="case"
                                        value="3"></td>
                                <td class="thSeven"><input onclick="onCheck()" type="checkbox" class="case" name="case"
                                        value="4"></td>
                                <td class="thSeven"><input onclick="onCheck()" type="checkbox" class="case" name="case"
                                        value="5"></td>

                            </tr>
                            <tr>
                                <td>Wednesday</td>
                                <td class="thSeven"><input onclick="onCheck()" type="checkbox" class="case" name="case"
                                        value="1"></td>
                                <td class="thSeven"><input onclick="onCheck()" type="checkbox" class="case" name="case"
                                        value="2"></td>
                                <td class="thSeven"><input onclick="onCheck()" type="checkbox" class="case" name="case"
                                        value="3"></td>
                                <td class="thSeven"><input onclick="onCheck()" type="checkbox" class="case" name="case"
                                        value="4"></td>
                                <td class="thSeven"><input onclick="onCheck()" type="checkbox" class="case" name="case"
                                        value="5"></td>

                            </tr>
                            <tr>
                                <td>Thursday</td>
                                <td class="thSeven"><input onclick="onCheck()" type="checkbox" class="case" name="case"
                                        value="1"></td>
                                <td class="thSeven"><input onclick="onCheck()" type="checkbox" class="case" name="case"
                                        value="2"></td>
                                <td class="thSeven"><input onclick="onCheck()" type="checkbox" class="case" name="case"
                                        value="3"></td>
                                <td class="thSeven"><input onclick="onCheck()" type="checkbox" class="case" name="case"
                                        value="4"></td>
                                <td class="thSeven"><input onclick="onCheck()" type="checkbox" class="case" name="case"
                                        value="5"></td>

                            </tr>
                            <tr>
                                <td>Friday</td>
                                <td class="thSeven"><input onclick="onCheck()" type="checkbox" class="case" name="case"
                                        value="1"></td>
                                <td class="thSeven"><input onclick="onCheck()" type="checkbox" class="case" name="case"
                                        value="2"></td>
                                <td class="thSeven"><input onclick="onCheck()" type="checkbox" class="case" name="case"
                                        value="3"></td>
                                <td class="thSeven"><input onclick="onCheck()" type="checkbox" class="case" name="case"
                                        value="4"></td>
                                <td class="thSeven"><input onclick="onCheck()" type="checkbox" class="case" name="case"
                                        value="5"></td>

                            </tr>
                            <tr>
                                <td>Saturday</td>
                                <td class="thSeven"><input onclick="onCheck()" type="checkbox" class="case" name="case"
                                        value="1"></td>
                                <td class="thSeven"><input onclick="onCheck()" type="checkbox" class="case" name="case"
                                        value="2"></td>
                                <td class="thSeven"><input onclick="onCheck()" type="checkbox" class="case" name="case"
                                        value="3"></td>
                                <td class="thSeven"><input onclick="onCheck()" type="checkbox" class="case" name="case"
                                        value="4"></td>
                                <td class="thSeven"><input onclick="onCheck()" type="checkbox" class="case" name="case"
                                        value="5"></td>

                            </tr>
                        </table>
                    </div>
                    <button class="oct-btn oct-btn-primary mt-4" onclick="formValidations('addForm');">Save</button>
               
        </div>

        <div id="additionalBranchTimingsPopups" class="modal addFilterTablePopup" style="max-width: 800px !important;">
           <h4>Additional Branch Timings</h4>
                   
                    <div class="table-responsive table-striped">
                        <table class="innerTable">
                            <tr>
                                <th class="trHead"></th>
                                <th class="trHead">Day
                                </th>
                                <th class="trHead">In Time
                                </th>
                                <th class="trHead">Grace Till
                                </th>
                                <th class="trHead">Break From
                                </th>
                                <th class="trHead">Break To
                                </th>
                                <th class="trHead">Out Time
                                </th>
                                <th class="trHead">Max Ot
                                </th>
                                <th class="trHead">Max Hot
                                </th>
                                <th class="trHead">Timings
                                </th>


                            </tr>

                            <tr>
                                <td><input onclick="onCheck()" type="checkbox" class="case" name="case" value="1"></td>
                                <td>Sunday</td>
                                <td><input class="mandatory" type="text" name="break" id="break" value="9:45 AM" /></td>
                                <td><input class="mandatory" type="text" name="break" id="break" value="10:00 AM" />
                                </td>
                                <td><input class="mandatory" type="text" name="break" id="break" placeholder="HH:MM" />
                                </td>
                                <td><input class="mandatory" type="text" name="break" id="break" placeholder="HH:MM" />
                                </td>
                                <td><input class="mandatory" type="text" name="break" id="break" value="6:00 AM" /></td>
                                <td><input class="mandatory" type="text" name="break" id="break" placeholder="HH:MM" />
                                </td>
                                <td><input class="mandatory" type="text" name="break" id="break" placeholder="HH:MM" />
                                </td>
                                <td><select class="mandatory" id="timing" name="timing">
                                        <option value="monday">Actual</option>
                                        <option value="tuesday">Diff</option>
                                    </select></td>

                            </tr>
                            <tr>
                                <td><input onclick="onCheck()" type="checkbox" class="case" name="case" value="1"></td>
                                <td>Monday</td>
                                <td><input class="mandatory" type="text" name="break" id="break" value="9:45 AM" /></td>
                                <td><input class="mandatory" type="text" name="break" id="break" value="10:00 AM" />
                                </td>
                                <td><input class="mandatory" type="text" name="break" id="break" placeholder="HH:MM" />
                                </td>
                                <td><input class="mandatory" type="text" name="break" id="break" placeholder="HH:MM" />
                                </td>
                                <td><input class="mandatory" type="text" name="break" id="break" value="6:00 AM" /></td>
                                <td><input class="mandatory" type="text" name="break" id="break" placeholder="HH:MM" />
                                </td>
                                <td><input class="mandatory" type="text" name="break" id="break" placeholder="HH:MM" />
                                </td>
                                <td><select class="mandatory" id="timing" name="timing">
                                        <option value="monday">Actual</option>
                                        <option value="tuesday">Diff</option>
                                    </select></td>

                            </tr>
                            <tr>
                                <td><input onclick="onCheck()" type="checkbox" class="case" name="case" value="1"></td>
                                <td>Tuesday</td>
                                <td><input class="mandatory" type="text" name="break" id="break" value="9:45 AM" /></td>
                                <td><input class="mandatory" type="text" name="break" id="break" value="10:00 AM" />
                                </td>
                                <td><input class="mandatory" type="text" name="break" id="break" placeholder="HH:MM" />
                                </td>
                                <td><input class="mandatory" type="text" name="break" id="break" placeholder="HH:MM" />
                                </td>
                                <td><input class="mandatory" type="text" name="break" id="break" value="6:00 AM" /></td>
                                <td><input class="mandatory" type="text" name="break" id="break" placeholder="HH:MM" />
                                </td>
                                <td><input class="mandatory" type="text" name="break" id="break" placeholder="HH:MM" />
                                </td>
                                <td><select class="mandatory" id="timing" name="timing">
                                        <option value="monday">Actual</option>
                                        <option value="tuesday">Diff</option>
                                    </select></td>

                            </tr>
                            <tr>
                                <td><input onclick="onCheck()" type="checkbox" class="case" name="case" value="1"></td>
                                <td>Wednesday</td>
                                <td><input class="mandatory" type="text" name="break" id="break" value="9:45 AM" /></td>
                                <td><input class="mandatory" type="text" name="break" id="break" value="10:00 AM" />
                                </td>
                                <td><input class="mandatory" type="text" name="break" id="break" placeholder="HH:MM" />
                                </td>
                                <td><input class="mandatory" type="text" name="break" id="break" placeholder="HH:MM" />
                                </td>
                                <td><input class="mandatory" type="text" name="break" id="break" value="6:00 AM" /></td>
                                <td><input class="mandatory" type="text" name="break" id="break" placeholder="HH:MM" />
                                </td>
                                <td><input class="mandatory" type="text" name="break" id="break" placeholder="HH:MM" />
                                </td>
                                <td><select class="mandatory" id="timing" name="timing">
                                        <option value="monday">Actual</option>
                                        <option value="tuesday">Diff</option>
                                    </select></td>

                            </tr>
                            <tr>
                                <td><input onclick="onCheck()" type="checkbox" class="case" name="case" value="1"></td>
                                <td>Thursday</td>
                                <td><input class="mandatory" type="text" name="break" id="break" value="9:45 AM" /></td>
                                <td><input class="mandatory" type="text" name="break" id="break" value="10:00 AM" />
                                </td>
                                <td><input class="mandatory" type="text" name="break" id="break" placeholder="HH:MM" />
                                </td>
                                <td><input class="mandatory" type="text" name="break" id="break" placeholder="HH:MM" />
                                </td>
                                <td><input class="mandatory" type="text" name="break" id="break" value="6:00 AM" /></td>
                                <td><input class="mandatory" type="text" name="break" id="break" placeholder="HH:MM" />
                                </td>
                                <td><input class="mandatory" type="text" name="break" id="break" placeholder="HH:MM" />
                                </td>
                                <td><select class="mandatory" id="timing" name="timing">
                                        <option value="monday">Actual</option>
                                        <option value="tuesday">Diff</option>
                                    </select></td>

                            </tr>
                            <tr>
                                <td><input onclick="onCheck()" type="checkbox" class="case" name="case" value="1"></td>
                                <td>Friday</td>
                                <td><input class="mandatory" type="text" name="break" id="break" value="9:45 AM" /></td>
                                <td><input class="mandatory" type="text" name="break" id="break" value="10:00 AM" />
                                </td>
                                <td><input class="mandatory" type="text" name="break" id="break" placeholder="HH:MM" />
                                </td>
                                <td><input class="mandatory" type="text" name="break" id="break" placeholder="HH:MM" />
                                </td>
                                <td><input class="mandatory" type="text" name="break" id="break" value="6:00 AM" /></td>
                                <td><input class="mandatory" type="text" name="break" id="break" placeholder="HH:MM" />
                                </td>
                                <td><input class="mandatory" type="text" name="break" id="break" placeholder="HH:MM" />
                                </td>
                                <td><select class="mandatory" id="timing" name="timing">
                                        <option value="monday">Actual</option>
                                        <option value="tuesday">Diff</option>
                                    </select></td>

                            </tr>
                            <tr>
                                <td><input onclick="onCheck()" type="checkbox" class="case" name="case" value="1"></td>
                                <td>Saturday</td>
                                <td><input class="mandatory" type="text" name="break" id="break" value="9:45 AM" /></td>
                                <td><input class="mandatory" type="text" name="break" id="break" value="10:00 AM" />
                                </td>
                                <td><input class="mandatory" type="text" name="break" id="break" placeholder="HH:MM" />
                                </td>
                                <td><input class="mandatory" type="text" name="break" id="break" placeholder="HH:MM" />
                                </td>
                                <td><input class="mandatory" type="text" name="break" id="break" value="6:00 AM" /></td>
                                <td><input class="mandatory" type="text" name="break" id="break" placeholder="HH:MM" />
                                </td>
                                <td><input class="mandatory" type="text" name="break" id="break" placeholder="HH:MM" />
                                </td>
                                <td><select class="mandatory" id="timing" name="timing">
                                        <option value="monday">Actual</option>
                                        <option value="tuesday">Diff</option>
                                    </select></td>

                            </tr>




                        </table>
                    </div>
                    <button class="oct-btn oct-btn-primary mt-4" onclick="formValidations('addForm');">Apply</button>
               
        </div>

        <script src="https://code.jquery.com/jquery-3.3.1.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"></script>
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-modal/0.9.1/jquery.modal.min.js"></script>
        <script src="../../../../dist/js/sidebar-admin.js"></script>
        <script src="../../../../dist/js/topbar.js"></script>
        <script src="../../../../dist/js/admin.js"></script>
        <script src="../../../../dist/js/octane.js"></script>
        <script>
            $("#GraceDate").datepicker({
                dateFormat: 'dd/mm/yy',
                changeYear: true,
                onSelect: function () {
                    if ($("#GraceDate").val() != '') {
                        $("#GraceDate").removeClass('error');
                        $('#GraceDate-error').empty();
                    }

                }

            });
            $("#BreakTime").datepicker({
                dateFormat: 'dd/mm/yy',
                changeYear: true,
                onSelect: function () {
                    if ($("#BreakTime").val() != '') {
                        $("#BreakTime").removeClass('error');
                        $('#BreakTime-error').empty();
                    }

                }

            });
            //show datepicker on cal icon
            $(".brkcal").click(function () {

                $('#BreakTime').datepicker("show");

            });

            $("#BreakTo").datepicker({
                dateFormat: 'dd/mm/yy',
                changeYear: true,
                onSelect: function () {
                    if ($("#BreakTo").val() != '') {
                        $("#BreakTo").removeClass('error');
                        $('#BreakTo-error').empty();
                    }

                }

            });
            //show datepicker on cal icon
            $(".tocal").click(function () {

                $('#BreakTo').datepicker("show");

            });


            //show datepicker on cal icon
            $(".cal1").click(function () {

                $('#GraceDate').datepicker("show");

            });
        </script>
</body>

</html>